STORE(9) | NetBSD Kernel Developer's Manual | STORE(9)

# NAME

store, subyte, suibyte, susword, suswintr, suword, suiword — store data to user-space

# SYNOPSIS

#include <sys/types.h>
#include <sys/systm.h>

int
subyte(void *base, int c);

int
susword(void *base, short c);

int
suswintr(void *base, short c);

int
suword(void *base, long c);

# DESCRIPTION

The store functions are designed to copy small amounts of data to the user-space of the currently running process.

The store routines provide the following functionality:

subyte()
  Stores a byte of data to the user-space address base.
susword()
  Stores a short word of data to the user-space address base.
suswintr()
  Stores a short word of data to the user-space address base. This function is safe to call during an interrupt context.
suword()
  Stores a word of data to the user-space address base.

# RETURN VALUES

The store functions return 0 on success or -1 on failure.

# SEE ALSO

copy(9), fetch(9)

January 7, 1996 | NetBSD 5.99